Bug 1098583

Summary: CVE-2014-0749 torque: buffer overflow exists in versions of TORQUE which can be exploited in order to remotely execute code from an unauthenticated perspective [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Vasyl Kaigorodov <vkaigoro>
Component: torqueAssignee: David Brown <david.brown>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: el6CC: david.brown, extras-orphan, fotis, garrick, sparks
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: fst_owner=Sparks
Fixed In Version: torque-4.2.10-1.el5 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-23 19:02:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1098479    

Description Vasyl Kaigorodov 2014-05-16 15:21:54 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2014-05-16 15:22:02 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1098479,1098583

Comment 2 Eric Christensen 2014-08-25 15:13:51 UTC
*** Bug 1098584 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2015-04-02 17:18:21 UTC
torque-4.2.8-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/torque-4.2.8-3.el6

Comment 4 Fedora Update System 2015-04-06 03:11:18 UTC
Package torque-4.2.8-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing torque-4.2.8-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1601/torque-4.2.8-3.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-08 04:33:02 UTC
torque-4.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/torque-4.2.10-1.el6

Comment 6 Fedora Update System 2015-04-08 06:22:27 UTC
torque-4.2.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/torque-4.2.10-1.el5

Comment 7 Eric Christensen 2015-04-23 12:51:56 UTC
Can this update be pushed to stable, please?

Comment 8 Fedora Update System 2015-04-23 19:02:26 UTC
torque-4.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-23 19:03:09 UTC
torque-4.2.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 David Brown 2015-05-04 15:46:57 UTC
Got email about the needinfo flag on this one, can this be cleared yet?